Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.extensions
Class JavaMethodInstance

    java.lang.Object
      com.novell.xml.xpath.Function
          com.novell.xsl.extensions.JavaInstance
              com.novell.xsl.extensions.JavaMethodInstance

    public class JavaMethodInstance

extends JavaInstance

This class represents a single member of a java class. It is created by JavaMethod for a particular function call.

Field Summary

Fields inherited from class com.novell.xsl.extensions.JavaInstance
`classBoolean, classNumber, classString, interfaceExpressionValue, interfaceNode, returnWrapper`

Constructor Summary
`JavaMethodInstance(FunctionSignature baseSignature, Method method)` Create the wrapper for the java class member.

Method Summary
`ExpressionValue` | `invoke(Object[] args)` Invoke the java method using the passed list of arguments.

Methods inherited from class com.novell.xsl.extensions.JavaInstance
`getReturnType, getWrappedResultType, toString`

Methods inherited from class com.novell.xml.xpath.Function
`getInstance, getSignature, isConstant, registerForReset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaMethodInstance

    public JavaMethodInstance(FunctionSignature baseSignature,
                              Method method)

  Create the wrapper for the java class member.

  Parameters:
    `baseSignature` - The base signature of the member, needed only for name.
    `method` - The Method object to use for this function.

Method Detail

### invoke

    public ExpressionValue invoke(Object[] args)
                           throws XPathEvaluationException

  Invoke the java method using the passed list of arguments.

  Overrides:
    `invoke` in class `Function`
  Parameters:
    `args` - List of arguments.
  Returns:
    An object containing the result of the function invocation.
  Throws:
    `XPathEvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD